#98 Stack push doesn't happen when value is pasted after operation

v1.0_(example)
closed-fixed
Simon
None
5
2014-01-08
2013-08-02
Don Allen
No

Galculator 2.1.2 on an up-to-date 64-bit Arch Linux system:

If you do the following sequence of button clicks in RPN mode:
ac, 2, ent, 2, +, 2, +
you end up with 6 in the X register, as you'd expect.

But if you enter 2 in, say, a gnumeric cell and then copy it to the clipboard, the following sequence:
ac, <ctrl-v or="" paste="" from="" the="" edit="" menu="">, ent, <ctrl-v or="" paste="" from="" the="" edit="" menu="">, +, <ctrl-v or="" paste="" from="" the="" edit="" menu="">, +
you end up with 2 in the X register, which is not correct. This is the same calculation as the first example, except the entries are coming from the clipboard, rather than the keyboard. It looks like what is happening is that the program is failing to do a stack push when entries are made by pasting after an operation (+ in this case), as is done when entries are made from the keyboard; pasting simply replaces what is in the X register without doing the expected push.

It seems to me that entries made by pasting should behave as if they had been entered from the keyboard. The documentation, which I have to say is less than minimal, says "the pasted string is parsed to virtual key presses", which, while not completely clear, suggests that what I think is the correct behavior is what was intended and that the actual behavior is due to a bug.

Related

Bugs: #98

Discussion

  • Simon

    Simon - 2013-08-14

    Thanks for reporting. I consider this a bug as well and fixed it in current SVN. I'd appreciate if you could test current SVN

    svn checkout svn://svn.code.sf.net/p/galculator/code/trunk galculator-code

    and give me feedback, whether the behavior is now as expected.

    best, simon

     
  • Don Allen

    Don Allen - 2013-08-15

    On Wed, Aug 14, 2013 at 10:26 AM, Simon chimaira@users.sf.net wrote:

    Thanks for reporting. I consider this a bug as well and fixed it in current
    SVN. I'd appreciate if you could test current SVN

    svn checkout svn://svn.code.sf.net/p/galculator/code/trunk galculator-code

    and give me feedback, whether the behavior is now as expected.

    I am on vacation and have only a minimal computing environment with
    me. I will test when I return. Thanks for fixing.

    /Don

    best, simon


    [bugs:#98] Stack push doesn't happen when value is pasted after operation

    Status: open
    Created: Fri Aug 02, 2013 10:20 PM UTC by Don Allen
    Last Updated: Fri Aug 02, 2013 10:20 PM UTC
    Owner: nobody

    Galculator 2.1.2 on an up-to-date 64-bit Arch Linux system:

    If you do the following sequence of button clicks in RPN mode:
    ac, 2, ent, 2, +, 2, +
    you end up with 6 in the X register, as you'd expect.

    But if you enter 2 in, say, a gnumeric cell and then copy it to the
    clipboard, the following sequence:
    ac, , ent, , +, , +
    you end up with 2 in the X register, which is not correct. This is the same
    calculation as the first example, except the entries are coming from the
    clipboard, rather than the keyboard. It looks like what is happening is that
    the program is failing to do a stack push when entries are made by pasting
    after an operation (+ in this case), as is done when entries are made from
    the keyboard; pasting simply replaces what is in the X register without
    doing the expected push.

    It seems to me that entries made by pasting should behave as if they had
    been entered from the keyboard. The documentation, which I have to say is
    less than minimal, says "the pasted string is parsed to virtual key
    presses", which, while not completely clear, suggests that what I think is
    the correct behavior is what was intended and that the actual behavior is
    due to a bug.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/galculator/bugs/98/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #98

  • Don Allen

    Don Allen - 2013-09-13

    I'll be happy to test this if you will tell me how to build it.

    I am running an up-to-date 64-bit Arch Linux system. I downloaded the
    latest version with svn and tried to run autogen.sh, which failed. To
    get autogen to run, and to deal with the first complaints from make, I
    installed autogen, automake, autoconf, intltool, libtool and flex.

    But it still will not compile (tail of output of make clean ; make):

    gcc -DHAVE_CONFIG_H -I. -I..
    -DPACKAGE_LOCALE_DIR=\""/usr/local/share/locale"\"
    -DPACKAGE_UI_DIR=\""/usr/local/share/galculator/ui"\"
    -DPACKAGE_PIXMAPS_DIR=\""/usr/local/share/pixmaps"\"
    -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGSEAL_ENABLE
    -pthread -I/usr/include/gtk-3.0 -I/usr/include/at-spi2-atk/2.0
    -I/usr/include/gtk-3.0 -I/usr/include/gio-unix-2.0/
    -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/harfbuzz
    -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo
    -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libdrm
    -I/usr/include/libpng16 -I/usr/include/gdk-pixbuf-2.0
    -I/usr/include/libpng16 -I/usr/include/glib-2.0
    -I/usr/lib/glib-2.0/include -g -O2 -Wall -MT galculator-callbacks.o
    -MD -MP -MF .deps/galculator-callbacks.Tpo -c -o
    galculator-callbacks.o test -f 'callbacks.c' || echo './'callbacks.c
    mv -f .deps/galculator-callbacks.Tpo .deps/galculator-callbacks.Po
    gcc -DHAVE_CONFIG_H -I. -I..
    -DPACKAGE_LOCALE_DIR=\""/usr/local/share/locale"\"
    -DPACKAGE_UI_DIR=\""/usr/local/share/galculator/ui"\"
    -DPACKAGE_PIXMAPS_DIR=\""/usr/local/share/pixmaps"\"
    -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGSEAL_ENABLE
    -pthread -I/usr/include/gtk-3.0 -I/usr/include/at-spi2-atk/2.0
    -I/usr/include/gtk-3.0 -I/usr/include/gio-unix-2.0/
    -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/harfbuzz
    -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo
    -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libdrm
    -I/usr/include/libpng16 -I/usr/include/gdk-pixbuf-2.0
    -I/usr/include/libpng16 -I/usr/include/glib-2.0
    -I/usr/lib/glib-2.0/include -g -O2 -Wall -MT galculator-ui.o -MD -MP
    -MF .deps/galculator-ui.Tpo -c -o galculator-ui.o test -f 'ui.c' || echo './'ui.c
    mv -f .deps/galculator-ui.Tpo .deps/galculator-ui.Po
    test -f flex_parser.c || /bin/sh ../ylwrap flex_parser.l .c
    flex_parser.c -- flex
    lex.yyflex_parser.c is unchanged
    gcc -DHAVE_CONFIG_H -I. -I..
    -DPACKAGE_LOCALE_DIR=\""/usr/local/share/locale"\"
    -DPACKAGE_UI_DIR=\""/usr/local/share/galculator/ui"\"
    -DPACKAGE_PIXMAPS_DIR=\""/usr/local/share/pixmaps"\"
    -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGSEAL_ENABLE
    -pthread -I/usr/include/gtk-3.0 -I/usr/include/at-spi2-atk/2.0
    -I/usr/include/gtk-3.0 -I/usr/include/gio-unix-2.0/
    -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/harfbuzz
    -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo
    -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libdrm
    -I/usr/include/libpng16 -I/usr/include/gdk-pixbuf-2.0
    -I/usr/include/libpng16 -I/usr/include/glib-2.0
    -I/usr/lib/glib-2.0/include -g -O2 -Wall -MT galculator-flex_parser.o
    -MD -MP -MF .deps/galculator-flex_parser.Tpo -c -o
    galculator-flex_parser.o test -f 'flex_parser.c' || echo './'flex_parser.c
    gcc: error: ./flex_parser.c: No such file or directory
    gcc: fatal error: no input files
    compilation terminated.
    make[2]: [galculator-flex_parser.o] Error 1
    make[2]: Leaving directory /tmp/galculator-code/galculator/src' make[1]: *** [all-recursive] Error 1 make[1]: Leaving directory/tmp/galculator-code/galculator'
    make:
    [all] Error 2
    dca@franz:/tmp/galculator-code/galculator$

    I'm probably doing something wrong, but found no documentation on how
    to build. I did look at the INSTALL file, which begins by talking
    about the configure file, which is not present, obviously needing to
    be generated from configure.in, but that file does not describe
    exactly how. Having a bit of experience with this stuff (though I am
    really in the suckless camp as far as these tools are concerned), I
    just ran autogen.sh, which eventually did produce a configure file.

    Anyway, I'm done wrestling with this. If you want me to test, you need
    to tell me how to progress beyond the point where I threw up my hands,
    above.

    /Don Allen

    On Wed, Aug 14, 2013 at 10:26 AM, Simon chimaira@users.sf.net wrote:

    Thanks for reporting. I consider this a bug as well and fixed it in current
    SVN. I'd appreciate if you could test current SVN

    svn checkout svn://svn.code.sf.net/p/galculator/code/trunk galculator-code

    and give me feedback, whether the behavior is now as expected.

    best, simon


    [bugs:#98] Stack push doesn't happen when value is pasted after operation

    Status: open
    Created: Fri Aug 02, 2013 10:20 PM UTC by Don Allen
    Last Updated: Fri Aug 02, 2013 10:20 PM UTC
    Owner: nobody

    Galculator 2.1.2 on an up-to-date 64-bit Arch Linux system:

    If you do the following sequence of button clicks in RPN mode:
    ac, 2, ent, 2, +, 2, +
    you end up with 6 in the X register, as you'd expect.

    But if you enter 2 in, say, a gnumeric cell and then copy it to the
    clipboard, the following sequence:
    ac, , ent, , +, , +
    you end up with 2 in the X register, which is not correct. This is the same
    calculation as the first example, except the entries are coming from the
    clipboard, rather than the keyboard. It looks like what is happening is that
    the program is failing to do a stack push when entries are made by pasting
    after an operation (+ in this case), as is done when entries are made from
    the keyboard; pasting simply replaces what is in the X register without
    doing the expected push.

    It seems to me that entries made by pasting should behave as if they had
    been entered from the keyboard. The documentation, which I have to say is
    less than minimal, says "the pasted string is parsed to virtual key
    presses", which, while not completely clear, suggests that what I think is
    the correct behavior is what was intended and that the actual behavior is
    due to a bug.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/galculator/bugs/98/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #98

  • Simon

    Simon - 2014-01-08
    • status: open --> closed-fixed
    • assigned_to: Simon
     
  • Simon

    Simon - 2014-01-08

    fixed in SVN.
    Thanks for reporting, Simon

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks